package com.fjhx;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@ComponentScan("com.fjhx.**")
@EnableScheduling
@SpringBootApplication
@Slf4j
public class EmailApplication {

    public static void main(String[] args) {

        SpringApplication.run(EmailApplication.class, args);

        log.info("\r\n==================================================================\r\n"
                + ">>>>> " + EmailApplication.class.getSimpleName() + " is success!\r\n"
                + "==================================================================");

    }

}
