package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 邮箱文件夹
 * </p>
 *
 * @author zlj
 * @since 2023-01-13
 */
@Getter
@Setter
@TableName("email_mailbox_link")
public class EmailMailboxLink implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 邮件id
     */
    private String messageId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
