package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 邮件发件信息
 * </p>
 *
 * @author zlj
 * @since 2023-01-13
 */
@Getter
@Setter
@TableName("email_message_send_receive")
public class EmailMessageSendReceive {

    /**
     * 推送信息
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 邮件id
     */
    private Long messageSendId;

    /**
     * 类型 1收件人 2抄送人 3密送人 4 回复人
     */
    private int type;

    /**
     * 推送人名称
     */
    private String name;

    /**
     * 推送人地址
     */
    private String address;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
