package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户邮箱绑定
 * </p>
 *
 * @author zlj
 * @since 2023-02-24
 */
@Getter
@Setter
@TableName("email_user")
public class EmailUser extends BaseEntity {

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户id
     */
    private String userId;
}
