package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author zlj
 * @since 2022-12-20
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@TableName("email_mailbox")
public class EmailMailbox extends BaseEntity {

    /**
     * 父级id
     */
    private Long parentId;

    /**
     * 电子邮件
     */
    private String email;

    /**
     * 文件夹名称
     */
    private String name;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 是否展示
     */
    private Boolean isShow;

}
