package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 邮件推送信息
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message_send")
public class EmailMessageSend implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 电子邮件
     */
    private String email;

    /**
     * 电子邮件id
     */
    private Long emailInfoId;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 发送人
     */
    private String fromName;

    /**
     * 是否展示
     */
    private Boolean isShow;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
